Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 5506 in orxonox.OLD for branches/network/configure


Ignore:
Timestamp:
Nov 8, 2005, 11:03:47 AM (19 years ago)
Author:
bensch
Message:

orxonox/branches/network: added check for SDL_net
created a Subproject network

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/network/configure

    r5502 r5506  
    90209020      echo "------------------"
    90219021      echo "SDL_image library not found."
    9022       echo "please install the SDL_image library, which can be found at http://www.l ibsdl.org/projects/SDL_image/"
     9022      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
    90239023      echo "------------------"
    90249024      exit -1
    90259025   fi
    90269026
    9027 #-----#
    9028 # ogg #
    9029 #-----#
    9030 # checking for ogg-headers
    9031 
    9032 for ac_header in ogg/ogg.h
     9027#---------#
     9028# SDL_Net #
     9029#---------#
     9030# checking for SDL_net-headers
     9031
     9032for ac_header in SDL_net.h
    90339033do
    90349034as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    91769176
    91779177else
    9178   { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
    9179 echo "$as_me: error: cannot find ogg header." >&2;}
    9180    { (exit 1); exit 1; }; }
    9181 fi
    9182 
    9183 done
    9184 
    9185 # checking for ogg-lib
    9186   echo "$as_me:$LINENO: checking for main in -logg" >&5
    9187 echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
    9188 if test "${ac_cv_lib_ogg_main+set}" = set; then
    9189   echo $ECHO_N "(cached) $ECHO_C" >&6
    9190 else
    9191   ac_check_lib_save_LIBS=$LIBS
    9192 LIBS="-logg  $LIBS"
    9193 cat >conftest.$ac_ext <<_ACEOF
    9194 /* confdefs.h.  */
    9195 _ACEOF
    9196 cat confdefs.h >>conftest.$ac_ext
    9197 cat >>conftest.$ac_ext <<_ACEOF
    9198 /* end confdefs.h.  */
    9199 
    9200 
    9201 int
    9202 main ()
    9203 {
    9204 main ();
    9205   ;
    9206   return 0;
    9207 }
    9208 _ACEOF
    9209 rm -f conftest.$ac_objext conftest$ac_exeext
    9210 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    9211   (eval $ac_link) 2>conftest.er1
    9212   ac_status=$?
    9213   grep -v '^ *+' conftest.er1 >conftest.err
    9214   rm -f conftest.er1
    9215   cat conftest.err >&5
    9216   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9217   (exit $ac_status); } &&
    9218          { ac_try='test -z "$ac_c_werror_flag"
    9219                          || test ! -s conftest.err'
    9220   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    9221   (eval $ac_try) 2>&5
    9222   ac_status=$?
    9223   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9224   (exit $ac_status); }; } &&
    9225          { ac_try='test -s conftest$ac_exeext'
    9226   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    9227   (eval $ac_try) 2>&5
    9228   ac_status=$?
    9229   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9230   (exit $ac_status); }; }; then
    9231   ac_cv_lib_ogg_main=yes
    9232 else
    9233   echo "$as_me: failed program was:" >&5
    9234 sed 's/^/| /' conftest.$ac_ext >&5
    9235 
    9236 ac_cv_lib_ogg_main=no
    9237 fi
    9238 rm -f conftest.err conftest.$ac_objext \
    9239       conftest$ac_exeext conftest.$ac_ext
    9240 LIBS=$ac_check_lib_save_LIBS
    9241 fi
    9242 echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
    9243 echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
    9244 if test $ac_cv_lib_ogg_main = yes; then
    9245   FOUND_ogg=yes; LIBS="$LIBS -logg"
    9246 fi
    9247 
    9248      if test x$FOUND_ogg != xyes ; then
    9249         echo "------------------"
    9250         echo "ogg library not found."
    9251         echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    9252         echo "------------------"
    9253         exit -1
    9254      fi
    9255 
    9256 #--------#
    9257 # vorbis #
    9258 #--------#
    9259 # checking for vorbis-lib
    9260   echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
    9261 echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
    9262 if test "${ac_cv_lib_vorbis_main+set}" = set; then
    9263   echo $ECHO_N "(cached) $ECHO_C" >&6
    9264 else
    9265   ac_check_lib_save_LIBS=$LIBS
    9266 LIBS="-lvorbis  $LIBS"
    9267 cat >conftest.$ac_ext <<_ACEOF
    9268 /* confdefs.h.  */
    9269 _ACEOF
    9270 cat confdefs.h >>conftest.$ac_ext
    9271 cat >>conftest.$ac_ext <<_ACEOF
    9272 /* end confdefs.h.  */
    9273 
    9274 
    9275 int
    9276 main ()
    9277 {
    9278 main ();
    9279   ;
    9280   return 0;
    9281 }
    9282 _ACEOF
    9283 rm -f conftest.$ac_objext conftest$ac_exeext
    9284 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    9285   (eval $ac_link) 2>conftest.er1
    9286   ac_status=$?
    9287   grep -v '^ *+' conftest.er1 >conftest.err
    9288   rm -f conftest.er1
    9289   cat conftest.err >&5
    9290   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9291   (exit $ac_status); } &&
    9292          { ac_try='test -z "$ac_c_werror_flag"
    9293                          || test ! -s conftest.err'
    9294   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    9295   (eval $ac_try) 2>&5
    9296   ac_status=$?
    9297   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9298   (exit $ac_status); }; } &&
    9299          { ac_try='test -s conftest$ac_exeext'
    9300   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    9301   (eval $ac_try) 2>&5
    9302   ac_status=$?
    9303   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9304   (exit $ac_status); }; }; then
    9305   ac_cv_lib_vorbis_main=yes
    9306 else
    9307   echo "$as_me: failed program was:" >&5
    9308 sed 's/^/| /' conftest.$ac_ext >&5
    9309 
    9310 ac_cv_lib_vorbis_main=no
    9311 fi
    9312 rm -f conftest.err conftest.$ac_objext \
    9313       conftest$ac_exeext conftest.$ac_ext
    9314 LIBS=$ac_check_lib_save_LIBS
    9315 fi
    9316 echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
    9317 echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
    9318 if test $ac_cv_lib_vorbis_main = yes; then
    9319   FOUND_vorbis=yes; LIBS="$LIBS -lvorbis"
    9320 fi
    9321 
    9322      if test x$FOUND_vorbis != xyes ; then
    9323         echo "------------------"
    9324         echo "vorbis library not found."
    9325         echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    9326         echo "------------------"
    9327         exit -1
    9328      fi
    9329 
    9330 #------------#
    9331 # vorbisfile #
    9332 #------------#
    9333 # checking for vorbis-headers
    9334 
    9335 for ac_header in vorbis/vorbisfile.h
     9178
     9179for ac_header in SDL/SDL_net.h
    93369180do
    93379181as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    94799323
    94809324else
    9481   { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
    9482 echo "$as_me: error: cannot find vorbisfile header." >&2;}
     9325  { { echo "$as_me:$LINENO: error: SDL_net header not found." >&5
     9326echo "$as_me: error: SDL_net header not found." >&2;}
    94839327   { (exit 1); exit 1; }; }
    94849328fi
     
    94869330done
    94879331
    9488 # checking for vorbisfile-lib
    9489   echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
    9490 echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
    9491 if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
     9332fi
     9333
     9334done
     9335
     9336# checking for SDL_net-lib
     9337echo "$as_me:$LINENO: checking for main in -lSDL_net" >&5
     9338echo $ECHO_N "checking for main in -lSDL_net... $ECHO_C" >&6
     9339if test "${ac_cv_lib_SDL_net_main+set}" = set; then
    94929340  echo $ECHO_N "(cached) $ECHO_C" >&6
    94939341else
    94949342  ac_check_lib_save_LIBS=$LIBS
    9495 LIBS="-lvorbisfile  $LIBS"
     9343LIBS="-lSDL_net  $LIBS"
    94969344cat >conftest.$ac_ext <<_ACEOF
    94979345/* confdefs.h.  */
     
    95329380  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    95339381  (exit $ac_status); }; }; then
    9534   ac_cv_lib_vorbisfile_main=yes
     9382  ac_cv_lib_SDL_net_main=yes
    95359383else
    95369384  echo "$as_me: failed program was:" >&5
    95379385sed 's/^/| /' conftest.$ac_ext >&5
    95389386
    9539 ac_cv_lib_vorbisfile_main=no
     9387ac_cv_lib_SDL_net_main=no
    95409388fi
    95419389rm -f conftest.err conftest.$ac_objext \
     
    95439391LIBS=$ac_check_lib_save_LIBS
    95449392fi
    9545 echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
    9546 echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
    9547 if test $ac_cv_lib_vorbisfile_main = yes; then
    9548   FOUND_vorbisfile=yes; LIBS="$LIBS -lvorbisfile"
    9549 fi
    9550 
    9551      if test x$FOUND_vorbisfile != xyes ; then
    9552         echo "------------------"
    9553         echo "vorbisfile library not found."
    9554         echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    9555         echo "------------------"
    9556         exit -1
    9557      fi
    9558 
    9559 
    9560 #---------#
    9561 # libcURL #
    9562 #---------#
    9563 if test x$def_curl = xyes; then
    9564 
    9565 for ac_header in curl/curl.h
     9393echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_net_main" >&5
     9394echo "${ECHO_T}$ac_cv_lib_SDL_net_main" >&6
     9395if test $ac_cv_lib_SDL_net_main = yes; then
     9396  FOUND_SDL_net=yes; LIBS="$LIBS -lSDL_net"
     9397fi
     9398
     9399   if test x$FOUND_SDL_net != xyes ; then
     9400      echo "------------------"
     9401      echo "SDL_net library not found."
     9402      echo "please install the SDL_net library, which can be found at http://www.libsdl.org/projects/SDL_net/"
     9403      echo "------------------"
     9404      exit -1
     9405   fi
     9406
     9407
     9408#-----#
     9409# ogg #
     9410#-----#
     9411# checking for ogg-headers
     9412
     9413for ac_header in ogg/ogg.h
    95669414do
    95679415as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    97079555#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    97089556_ACEOF
    9709  curlHeader=yes
    9710 else
    9711   curlHeader=no
     9557
     9558else
     9559  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
     9560echo "$as_me: error: cannot find ogg header." >&2;}
     9561   { (exit 1); exit 1; }; }
    97129562fi
    97139563
    97149564done
    97159565
    9716  echo "$as_me:$LINENO: checking for main in -lcurl" >&5
    9717 echo $ECHO_N "checking for main in -lcurl... $ECHO_C" >&6
    9718 if test "${ac_cv_lib_curl_main+set}" = set; then
     9566# checking for ogg-lib
     9567  echo "$as_me:$LINENO: checking for main in -logg" >&5
     9568echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
     9569if test "${ac_cv_lib_ogg_main+set}" = set; then
    97199570  echo $ECHO_N "(cached) $ECHO_C" >&6
    97209571else
    97219572  ac_check_lib_save_LIBS=$LIBS
    9722 LIBS="-lcurl  $LIBS"
     9573LIBS="-logg  $LIBS"
    97239574cat >conftest.$ac_ext <<_ACEOF
    97249575/* confdefs.h.  */
     
    97599610  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    97609611  (exit $ac_status); }; }; then
    9761   ac_cv_lib_curl_main=yes
     9612  ac_cv_lib_ogg_main=yes
    97629613else
    97639614  echo "$as_me: failed program was:" >&5
    97649615sed 's/^/| /' conftest.$ac_ext >&5
    97659616
    9766 ac_cv_lib_curl_main=no
     9617ac_cv_lib_ogg_main=no
    97679618fi
    97689619rm -f conftest.err conftest.$ac_objext \
     
    97709621LIBS=$ac_check_lib_save_LIBS
    97719622fi
    9772 echo "$as_me:$LINENO: result: $ac_cv_lib_curl_main" >&5
    9773 echo "${ECHO_T}$ac_cv_lib_curl_main" >&6
    9774 if test $ac_cv_lib_curl_main = yes; then
    9775   FOUND_curl=yes
    9776 fi
    9777 
    9778  if test x$curlHeader = xyes & test x$FOUND_curl = xyes ; then
    9779   have_curl=yes
    9780   CURL_LIBS=`curl-config --libs`
    9781   CURLCFLAGS=`curl-config --cflags`
    9782 
    9783 cat >>confdefs.h <<_ACEOF
    9784 #define HAVE_CURL 1
    9785 _ACEOF
    9786 
    9787  else
    9788   have_curl=no
    9789  fi
    9790 
    9791 fi
    9792 
    9793 
    9794 
    9795 
    9796 if test x$have_curl = xyes; then
    9797   HAVE_CURL_TRUE=
    9798   HAVE_CURL_FALSE='#'
    9799 else
    9800   HAVE_CURL_TRUE='#'
    9801   HAVE_CURL_FALSE=
    9802 fi
    9803 
     9623echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
     9624echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
     9625if test $ac_cv_lib_ogg_main = yes; then
     9626  FOUND_ogg=yes; LIBS="$LIBS -logg"
     9627fi
     9628
     9629     if test x$FOUND_ogg != xyes ; then
     9630        echo "------------------"
     9631        echo "ogg library not found."
     9632        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     9633        echo "------------------"
     9634        exit -1
     9635     fi
    98049636
    98059637#--------#
    9806 # efence #
     9638# vorbis #
    98079639#--------#
    9808 if test x$def_efence = xyes ; then
    9809   echo "$as_me:$LINENO: checking for main in -lefence" >&5
    9810 echo $ECHO_N "checking for main in -lefence... $ECHO_C" >&6
    9811 if test "${ac_cv_lib_efence_main+set}" = set; then
     9640# checking for vorbis-lib
     9641  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
     9642echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
     9643if test "${ac_cv_lib_vorbis_main+set}" = set; then
    98129644  echo $ECHO_N "(cached) $ECHO_C" >&6
    98139645else
    98149646  ac_check_lib_save_LIBS=$LIBS
    9815 LIBS="-lefence  $LIBS"
     9647LIBS="-lvorbis  $LIBS"
    98169648cat >conftest.$ac_ext <<_ACEOF
    98179649/* confdefs.h.  */
     
    98529684  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    98539685  (exit $ac_status); }; }; then
    9854   ac_cv_lib_efence_main=yes
     9686  ac_cv_lib_vorbis_main=yes
    98559687else
    98569688  echo "$as_me: failed program was:" >&5
    98579689sed 's/^/| /' conftest.$ac_ext >&5
    98589690
    9859 ac_cv_lib_efence_main=no
     9691ac_cv_lib_vorbis_main=no
    98609692fi
    98619693rm -f conftest.err conftest.$ac_objext \
     
    98639695LIBS=$ac_check_lib_save_LIBS
    98649696fi
    9865 echo "$as_me:$LINENO: result: $ac_cv_lib_efence_main" >&5
    9866 echo "${ECHO_T}$ac_cv_lib_efence_main" >&6
    9867 if test $ac_cv_lib_efence_main = yes; then
    9868   FOUND_efence=yes; LIBS="$LIBS -lefence"
    9869 fi
    9870 
    9871    if test x$FOUND_efence != xyes ; then
    9872      echo "efence was requested, but is not installed!! going on"
    9873    fi
    9874 
    9875 fi
    9876 
    9877 #-----#
    9878 # GTK #
    9879 #-----#
    9880 if test x$def_gtk = xyes; then
    9881 #PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
    9882         echo "$as_me:$LINENO: checking for gtk2.0" >&5
    9883 echo $ECHO_N "checking for gtk2.0... $ECHO_C" >&6
    9884         if `$PKG_CONFIG --exists gtk+-2.0`; then
    9885                 echo "yes"
    9886                 have_gtk2=yes
    9887                 GTK2_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
    9888                 GTK2_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
    9889 
    9890 cat >>confdefs.h <<_ACEOF
    9891 #define HAVE_GTK2 1
    9892 _ACEOF
    9893 
    9894                 if test $DEBUG -ge 3; then
    9895                  echo "cflags: $GTK2_CFLAGS"
    9896                  echo "libs: $GTK2_LIBS"
    9897                 fi
    9898         else
    9899                 echo "no"
    9900         fi
    9901 
    9902 fi
    9903 
    9904 
    9905 
    9906 
    9907 if test x$have_gtk2 = xyes; then
    9908   HAVE_GTK2_TRUE=
    9909   HAVE_GTK2_FALSE='#'
    9910 else
    9911   HAVE_GTK2_TRUE='#'
    9912   HAVE_GTK2_FALSE=
    9913 fi
    9914 
    9915 
    9916 
    9917 # FIXME: Replace `main' with a function in `-lm':
    9918 
    9919 echo "$as_me:$LINENO: checking for main in -lm" >&5
    9920 echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
    9921 if test "${ac_cv_lib_m_main+set}" = set; then
    9922   echo $ECHO_N "(cached) $ECHO_C" >&6
    9923 else
    9924   ac_check_lib_save_LIBS=$LIBS
    9925 LIBS="-lm  $LIBS"
    9926 cat >conftest.$ac_ext <<_ACEOF
    9927 /* confdefs.h.  */
    9928 _ACEOF
    9929 cat confdefs.h >>conftest.$ac_ext
    9930 cat >>conftest.$ac_ext <<_ACEOF
    9931 /* end confdefs.h.  */
    9932 
    9933 
    9934 int
    9935 main ()
    9936 {
    9937 main ();
    9938   ;
    9939   return 0;
    9940 }
    9941 _ACEOF
    9942 rm -f conftest.$ac_objext conftest$ac_exeext
    9943 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    9944   (eval $ac_link) 2>conftest.er1
    9945   ac_status=$?
    9946   grep -v '^ *+' conftest.er1 >conftest.err
    9947   rm -f conftest.er1
    9948   cat conftest.err >&5
    9949   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9950   (exit $ac_status); } &&
    9951          { ac_try='test -z "$ac_c_werror_flag"
    9952                          || test ! -s conftest.err'
    9953   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    9954   (eval $ac_try) 2>&5
    9955   ac_status=$?
    9956   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9957   (exit $ac_status); }; } &&
    9958          { ac_try='test -s conftest$ac_exeext'
    9959   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    9960   (eval $ac_try) 2>&5
    9961   ac_status=$?
    9962   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    9963   (exit $ac_status); }; }; then
    9964   ac_cv_lib_m_main=yes
    9965 else
    9966   echo "$as_me: failed program was:" >&5
    9967 sed 's/^/| /' conftest.$ac_ext >&5
    9968 
    9969 ac_cv_lib_m_main=no
    9970 fi
    9971 rm -f conftest.err conftest.$ac_objext \
    9972       conftest$ac_exeext conftest.$ac_ext
    9973 LIBS=$ac_check_lib_save_LIBS
    9974 fi
    9975 echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
    9976 echo "${ECHO_T}$ac_cv_lib_m_main" >&6
    9977 if test $ac_cv_lib_m_main = yes; then
    9978   cat >>confdefs.h <<_ACEOF
    9979 #define HAVE_LIBM 1
    9980 _ACEOF
    9981 
    9982   LIBS="-lm $LIBS"
    9983 
    9984 fi
    9985 
    9986 
    9987 
    9988 # Checks for header files.
    9989 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    9990 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    9991 if test "${ac_cv_header_stdc+set}" = set; then
    9992   echo $ECHO_N "(cached) $ECHO_C" >&6
    9993 else
    9994   cat >conftest.$ac_ext <<_ACEOF
    9995 /* confdefs.h.  */
    9996 _ACEOF
    9997 cat confdefs.h >>conftest.$ac_ext
    9998 cat >>conftest.$ac_ext <<_ACEOF
    9999 /* end confdefs.h.  */
    10000 #include <stdlib.h>
    10001 #include <stdarg.h>
    10002 #include <string.h>
    10003 #include <float.h>
    10004 
    10005 int
    10006 main ()
    10007 {
    10008 
    10009   ;
    10010   return 0;
    10011 }
    10012 _ACEOF
    10013 rm -f conftest.$ac_objext
    10014 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    10015   (eval $ac_compile) 2>conftest.er1
    10016   ac_status=$?
    10017   grep -v '^ *+' conftest.er1 >conftest.err
    10018   rm -f conftest.er1
    10019   cat conftest.err >&5
    10020   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10021   (exit $ac_status); } &&
    10022          { ac_try='test -z "$ac_c_werror_flag"
    10023                          || test ! -s conftest.err'
    10024   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    10025   (eval $ac_try) 2>&5
    10026   ac_status=$?
    10027   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10028   (exit $ac_status); }; } &&
    10029          { ac_try='test -s conftest.$ac_objext'
    10030   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    10031   (eval $ac_try) 2>&5
    10032   ac_status=$?
    10033   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10034   (exit $ac_status); }; }; then
    10035   ac_cv_header_stdc=yes
    10036 else
    10037   echo "$as_me: failed program was:" >&5
    10038 sed 's/^/| /' conftest.$ac_ext >&5
    10039 
    10040 ac_cv_header_stdc=no
    10041 fi
    10042 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    10043 
    10044 if test $ac_cv_header_stdc = yes; then
    10045   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    10046   cat >conftest.$ac_ext <<_ACEOF
    10047 /* confdefs.h.  */
    10048 _ACEOF
    10049 cat confdefs.h >>conftest.$ac_ext
    10050 cat >>conftest.$ac_ext <<_ACEOF
    10051 /* end confdefs.h.  */
    10052 #include <string.h>
    10053 
    10054 _ACEOF
    10055 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    10056   $EGREP "memchr" >/dev/null 2>&1; then
    10057   :
    10058 else
    10059   ac_cv_header_stdc=no
    10060 fi
    10061 rm -f conftest*
    10062 
    10063 fi
    10064 
    10065 if test $ac_cv_header_stdc = yes; then
    10066   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    10067   cat >conftest.$ac_ext <<_ACEOF
    10068 /* confdefs.h.  */
    10069 _ACEOF
    10070 cat confdefs.h >>conftest.$ac_ext
    10071 cat >>conftest.$ac_ext <<_ACEOF
    10072 /* end confdefs.h.  */
    10073 #include <stdlib.h>
    10074 
    10075 _ACEOF
    10076 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    10077   $EGREP "free" >/dev/null 2>&1; then
    10078   :
    10079 else
    10080   ac_cv_header_stdc=no
    10081 fi
    10082 rm -f conftest*
    10083 
    10084 fi
    10085 
    10086 if test $ac_cv_header_stdc = yes; then
    10087   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
    10088   if test "$cross_compiling" = yes; then
    10089   :
    10090 else
    10091   cat >conftest.$ac_ext <<_ACEOF
    10092 /* confdefs.h.  */
    10093 _ACEOF
    10094 cat confdefs.h >>conftest.$ac_ext
    10095 cat >>conftest.$ac_ext <<_ACEOF
    10096 /* end confdefs.h.  */
    10097 #include <ctype.h>
    10098 #if ((' ' & 0x0FF) == 0x020)
    10099 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
    10100 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
    10101 #else
    10102 # define ISLOWER(c) \
    10103                    (('a' <= (c) && (c) <= 'i') \
    10104                      || ('j' <= (c) && (c) <= 'r') \
    10105                      || ('s' <= (c) && (c) <= 'z'))
    10106 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    10107 #endif
    10108 
    10109 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    10110 int
    10111 main ()
    10112 {
    10113   int i;
    10114   for (i = 0; i < 256; i++)
    10115     if (XOR (islower (i), ISLOWER (i))
    10116         || toupper (i) != TOUPPER (i))
    10117       exit(2);
    10118   exit (0);
    10119 }
    10120 _ACEOF
    10121 rm -f conftest$ac_exeext
    10122 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    10123   (eval $ac_link) 2>&5
    10124   ac_status=$?
    10125   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10126   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    10127   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    10128   (eval $ac_try) 2>&5
    10129   ac_status=$?
    10130   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10131   (exit $ac_status); }; }; then
    10132   :
    10133 else
    10134   echo "$as_me: program exited with status $ac_status" >&5
    10135 echo "$as_me: failed program was:" >&5
    10136 sed 's/^/| /' conftest.$ac_ext >&5
    10137 
    10138 ( exit $ac_status )
    10139 ac_cv_header_stdc=no
    10140 fi
    10141 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    10142 fi
    10143 fi
    10144 fi
    10145 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
    10146 echo "${ECHO_T}$ac_cv_header_stdc" >&6
    10147 if test $ac_cv_header_stdc = yes; then
    10148 
    10149 cat >>confdefs.h <<\_ACEOF
    10150 #define STDC_HEADERS 1
    10151 _ACEOF
    10152 
    10153 fi
    10154 
    10155 
    10156 
    10157 for ac_header in stdlib.h string.h
     9697echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
     9698echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
     9699if test $ac_cv_lib_vorbis_main = yes; then
     9700  FOUND_vorbis=yes; LIBS="$LIBS -lvorbis"
     9701fi
     9702
     9703     if test x$FOUND_vorbis != xyes ; then
     9704        echo "------------------"
     9705        echo "vorbis library not found."
     9706        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     9707        echo "------------------"
     9708        exit -1
     9709     fi
     9710
     9711#------------#
     9712# vorbisfile #
     9713#------------#
     9714# checking for vorbis-headers
     9715
     9716for ac_header in vorbis/vorbisfile.h
    101589717do
    101599718as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    103009859_ACEOF
    103019860
     9861else
     9862  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
     9863echo "$as_me: error: cannot find vorbisfile header." >&2;}
     9864   { (exit 1); exit 1; }; }
    103029865fi
    103039866
    103049867done
    103059868
    10306 
    10307 # Checks for typedefs, structures, and compiler characteristics.
    10308 echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
    10309 echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
    10310 if test "${ac_cv_header_stdbool_h+set}" = set; then
     9869# checking for vorbisfile-lib
     9870  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
     9871echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
     9872if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
    103119873  echo $ECHO_N "(cached) $ECHO_C" >&6
    103129874else
    10313   cat >conftest.$ac_ext <<_ACEOF
     9875  ac_check_lib_save_LIBS=$LIBS
     9876LIBS="-lvorbisfile  $LIBS"
     9877cat >conftest.$ac_ext <<_ACEOF
    103149878/* confdefs.h.  */
    103159879_ACEOF
     
    103189882/* end confdefs.h.  */
    103199883
    10320 #include <stdbool.h>
    10321 #ifndef bool
    10322 # error bool is not defined
    10323 #endif
    10324 #ifndef false
    10325 # error false is not defined
    10326 #endif
    10327 #if false
    10328 # error false is not 0
    10329 #endif
    10330 #ifndef true
    10331 # error true is not defined
    10332 #endif
    10333 #if true != 1
    10334 # error true is not 1
    10335 #endif
    10336 #ifndef __bool_true_false_are_defined
    10337 # error __bool_true_false_are_defined is not defined
    10338 #endif
    10339 
    10340         struct s { _Bool s: 1; _Bool t; } s;
    10341 
    10342         char a[true == 1 ? 1 : -1];
    10343         char b[false == 0 ? 1 : -1];
    10344         char c[__bool_true_false_are_defined == 1 ? 1 : -1];
    10345         char d[(bool) -0.5 == true ? 1 : -1];
    10346         bool e = &s;
    10347         char f[(_Bool) -0.0 == false ? 1 : -1];
    10348         char g[true];
    10349         char h[sizeof (_Bool)];
    10350         char i[sizeof s.t];
    103519884
    103529885int
    103539886main ()
    103549887{
    10355  return !a + !b + !c + !d + !e + !f + !g + !h + !i;
     9888main ();
    103569889  ;
    103579890  return 0;
    103589891}
    103599892_ACEOF
    10360 rm -f conftest.$ac_objext
    10361 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    10362   (eval $ac_compile) 2>conftest.er1
     9893rm -f conftest.$ac_objext conftest$ac_exeext
     9894if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     9895  (eval $ac_link) 2>conftest.er1
    103639896  ac_status=$?
    103649897  grep -v '^ *+' conftest.er1 >conftest.err
     
    103749907  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    103759908  (exit $ac_status); }; } &&
    10376          { ac_try='test -s conftest.$ac_objext'
     9909         { ac_try='test -s conftest$ac_exeext'
    103779910  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    103789911  (eval $ac_try) 2>&5
     
    103809913  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    103819914  (exit $ac_status); }; }; then
    10382   ac_cv_header_stdbool_h=yes
     9915  ac_cv_lib_vorbisfile_main=yes
    103839916else
    103849917  echo "$as_me: failed program was:" >&5
    103859918sed 's/^/| /' conftest.$ac_ext >&5
    103869919
    10387 ac_cv_header_stdbool_h=no
    10388 fi
    10389 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    10390 fi
    10391 echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
    10392 echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
    10393 echo "$as_me:$LINENO: checking for _Bool" >&5
    10394 echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
    10395 if test "${ac_cv_type__Bool+set}" = set; then
    10396   echo $ECHO_N "(cached) $ECHO_C" >&6
    10397 else
    10398   cat >conftest.$ac_ext <<_ACEOF
    10399 /* confdefs.h.  */
    10400 _ACEOF
    10401 cat confdefs.h >>conftest.$ac_ext
    10402 cat >>conftest.$ac_ext <<_ACEOF
    10403 /* end confdefs.h.  */
    10404 $ac_includes_default
    10405 int
    10406 main ()
    10407 {
    10408 if ((_Bool *) 0)
    10409   return 0;
    10410 if (sizeof (_Bool))
    10411   return 0;
    10412   ;
    10413   return 0;
    10414 }
    10415 _ACEOF
    10416 rm -f conftest.$ac_objext
    10417 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    10418   (eval $ac_compile) 2>conftest.er1
    10419   ac_status=$?
    10420   grep -v '^ *+' conftest.er1 >conftest.err
    10421   rm -f conftest.er1
    10422   cat conftest.err >&5
    10423   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10424   (exit $ac_status); } &&
    10425          { ac_try='test -z "$ac_c_werror_flag"
    10426                          || test ! -s conftest.err'
    10427   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    10428   (eval $ac_try) 2>&5
    10429   ac_status=$?
    10430   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10431   (exit $ac_status); }; } &&
    10432          { ac_try='test -s conftest.$ac_objext'
    10433   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    10434   (eval $ac_try) 2>&5
    10435   ac_status=$?
    10436   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10437   (exit $ac_status); }; }; then
    10438   ac_cv_type__Bool=yes
    10439 else
    10440   echo "$as_me: failed program was:" >&5
    10441 sed 's/^/| /' conftest.$ac_ext >&5
    10442 
    10443 ac_cv_type__Bool=no
    10444 fi
    10445 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    10446 fi
    10447 echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
    10448 echo "${ECHO_T}$ac_cv_type__Bool" >&6
    10449 if test $ac_cv_type__Bool = yes; then
    10450 
    10451 cat >>confdefs.h <<_ACEOF
    10452 #define HAVE__BOOL 1
    10453 _ACEOF
    10454 
    10455 
    10456 fi
    10457 
    10458 if test $ac_cv_header_stdbool_h = yes; then
    10459 
    10460 cat >>confdefs.h <<\_ACEOF
    10461 #define HAVE_STDBOOL_H 1
    10462 _ACEOF
    10463 
    10464 fi
    10465 
    10466 
    10467 # Checks for library functions.
    10468 
    10469 for ac_header in stdlib.h
     9920ac_cv_lib_vorbisfile_main=no
     9921fi
     9922rm -f conftest.err conftest.$ac_objext \
     9923      conftest$ac_exeext conftest.$ac_ext
     9924LIBS=$ac_check_lib_save_LIBS
     9925fi
     9926echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
     9927echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
     9928if test $ac_cv_lib_vorbisfile_main = yes; then
     9929  FOUND_vorbisfile=yes; LIBS="$LIBS -lvorbisfile"
     9930fi
     9931
     9932     if test x$FOUND_vorbisfile != xyes ; then
     9933        echo "------------------"
     9934        echo "vorbisfile library not found."
     9935        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     9936        echo "------------------"
     9937        exit -1
     9938     fi
     9939
     9940
     9941#---------#
     9942# libcURL #
     9943#---------#
     9944if test x$def_curl = xyes; then
     9945
     9946for ac_header in curl/curl.h
    104709947do
    104719948as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    1061110088#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    1061210089_ACEOF
     10090 curlHeader=yes
     10091else
     10092  curlHeader=no
     10093fi
     10094
     10095done
     10096
     10097 echo "$as_me:$LINENO: checking for main in -lcurl" >&5
     10098echo $ECHO_N "checking for main in -lcurl... $ECHO_C" >&6
     10099if test "${ac_cv_lib_curl_main+set}" = set; then
     10100  echo $ECHO_N "(cached) $ECHO_C" >&6
     10101else
     10102  ac_check_lib_save_LIBS=$LIBS
     10103LIBS="-lcurl  $LIBS"
     10104cat >conftest.$ac_ext <<_ACEOF
     10105/* confdefs.h.  */
     10106_ACEOF
     10107cat confdefs.h >>conftest.$ac_ext
     10108cat >>conftest.$ac_ext <<_ACEOF
     10109/* end confdefs.h.  */
     10110
     10111
     10112int
     10113main ()
     10114{
     10115main ();
     10116  ;
     10117  return 0;
     10118}
     10119_ACEOF
     10120rm -f conftest.$ac_objext conftest$ac_exeext
     10121if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     10122  (eval $ac_link) 2>conftest.er1
     10123  ac_status=$?
     10124  grep -v '^ *+' conftest.er1 >conftest.err
     10125  rm -f conftest.er1
     10126  cat conftest.err >&5
     10127  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10128  (exit $ac_status); } &&
     10129         { ac_try='test -z "$ac_c_werror_flag"
     10130                         || test ! -s conftest.err'
     10131  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10132  (eval $ac_try) 2>&5
     10133  ac_status=$?
     10134  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10135  (exit $ac_status); }; } &&
     10136         { ac_try='test -s conftest$ac_exeext'
     10137  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10138  (eval $ac_try) 2>&5
     10139  ac_status=$?
     10140  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10141  (exit $ac_status); }; }; then
     10142  ac_cv_lib_curl_main=yes
     10143else
     10144  echo "$as_me: failed program was:" >&5
     10145sed 's/^/| /' conftest.$ac_ext >&5
     10146
     10147ac_cv_lib_curl_main=no
     10148fi
     10149rm -f conftest.err conftest.$ac_objext \
     10150      conftest$ac_exeext conftest.$ac_ext
     10151LIBS=$ac_check_lib_save_LIBS
     10152fi
     10153echo "$as_me:$LINENO: result: $ac_cv_lib_curl_main" >&5
     10154echo "${ECHO_T}$ac_cv_lib_curl_main" >&6
     10155if test $ac_cv_lib_curl_main = yes; then
     10156  FOUND_curl=yes
     10157fi
     10158
     10159 if test x$curlHeader = xyes & test x$FOUND_curl = xyes ; then
     10160  have_curl=yes
     10161  CURL_LIBS=`curl-config --libs`
     10162  CURLCFLAGS=`curl-config --cflags`
     10163
     10164cat >>confdefs.h <<_ACEOF
     10165#define HAVE_CURL 1
     10166_ACEOF
     10167
     10168 else
     10169  have_curl=no
     10170 fi
     10171
     10172fi
     10173
     10174
     10175
     10176
     10177if test x$have_curl = xyes; then
     10178  HAVE_CURL_TRUE=
     10179  HAVE_CURL_FALSE='#'
     10180else
     10181  HAVE_CURL_TRUE='#'
     10182  HAVE_CURL_FALSE=
     10183fi
     10184
     10185
     10186#--------#
     10187# efence #
     10188#--------#
     10189if test x$def_efence = xyes ; then
     10190  echo "$as_me:$LINENO: checking for main in -lefence" >&5
     10191echo $ECHO_N "checking for main in -lefence... $ECHO_C" >&6
     10192if test "${ac_cv_lib_efence_main+set}" = set; then
     10193  echo $ECHO_N "(cached) $ECHO_C" >&6
     10194else
     10195  ac_check_lib_save_LIBS=$LIBS
     10196LIBS="-lefence  $LIBS"
     10197cat >conftest.$ac_ext <<_ACEOF
     10198/* confdefs.h.  */
     10199_ACEOF
     10200cat confdefs.h >>conftest.$ac_ext
     10201cat >>conftest.$ac_ext <<_ACEOF
     10202/* end confdefs.h.  */
     10203
     10204
     10205int
     10206main ()
     10207{
     10208main ();
     10209  ;
     10210  return 0;
     10211}
     10212_ACEOF
     10213rm -f conftest.$ac_objext conftest$ac_exeext
     10214if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     10215  (eval $ac_link) 2>conftest.er1
     10216  ac_status=$?
     10217  grep -v '^ *+' conftest.er1 >conftest.err
     10218  rm -f conftest.er1
     10219  cat conftest.err >&5
     10220  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10221  (exit $ac_status); } &&
     10222         { ac_try='test -z "$ac_c_werror_flag"
     10223                         || test ! -s conftest.err'
     10224  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10225  (eval $ac_try) 2>&5
     10226  ac_status=$?
     10227  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10228  (exit $ac_status); }; } &&
     10229         { ac_try='test -s conftest$ac_exeext'
     10230  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10231  (eval $ac_try) 2>&5
     10232  ac_status=$?
     10233  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10234  (exit $ac_status); }; }; then
     10235  ac_cv_lib_efence_main=yes
     10236else
     10237  echo "$as_me: failed program was:" >&5
     10238sed 's/^/| /' conftest.$ac_ext >&5
     10239
     10240ac_cv_lib_efence_main=no
     10241fi
     10242rm -f conftest.err conftest.$ac_objext \
     10243      conftest$ac_exeext conftest.$ac_ext
     10244LIBS=$ac_check_lib_save_LIBS
     10245fi
     10246echo "$as_me:$LINENO: result: $ac_cv_lib_efence_main" >&5
     10247echo "${ECHO_T}$ac_cv_lib_efence_main" >&6
     10248if test $ac_cv_lib_efence_main = yes; then
     10249  FOUND_efence=yes; LIBS="$LIBS -lefence"
     10250fi
     10251
     10252   if test x$FOUND_efence != xyes ; then
     10253     echo "efence was requested, but is not installed!! going on"
     10254   fi
     10255
     10256fi
     10257
     10258#-----#
     10259# GTK #
     10260#-----#
     10261if test x$def_gtk = xyes; then
     10262#PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
     10263        echo "$as_me:$LINENO: checking for gtk2.0" >&5
     10264echo $ECHO_N "checking for gtk2.0... $ECHO_C" >&6
     10265        if `$PKG_CONFIG --exists gtk+-2.0`; then
     10266                echo "yes"
     10267                have_gtk2=yes
     10268                GTK2_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
     10269                GTK2_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
     10270
     10271cat >>confdefs.h <<_ACEOF
     10272#define HAVE_GTK2 1
     10273_ACEOF
     10274
     10275                if test $DEBUG -ge 3; then
     10276                 echo "cflags: $GTK2_CFLAGS"
     10277                 echo "libs: $GTK2_LIBS"
     10278                fi
     10279        else
     10280                echo "no"
     10281        fi
     10282
     10283fi
     10284
     10285
     10286
     10287
     10288if test x$have_gtk2 = xyes; then
     10289  HAVE_GTK2_TRUE=
     10290  HAVE_GTK2_FALSE='#'
     10291else
     10292  HAVE_GTK2_TRUE='#'
     10293  HAVE_GTK2_FALSE=
     10294fi
     10295
     10296
     10297
     10298# FIXME: Replace `main' with a function in `-lm':
     10299
     10300echo "$as_me:$LINENO: checking for main in -lm" >&5
     10301echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
     10302if test "${ac_cv_lib_m_main+set}" = set; then
     10303  echo $ECHO_N "(cached) $ECHO_C" >&6
     10304else
     10305  ac_check_lib_save_LIBS=$LIBS
     10306LIBS="-lm  $LIBS"
     10307cat >conftest.$ac_ext <<_ACEOF
     10308/* confdefs.h.  */
     10309_ACEOF
     10310cat confdefs.h >>conftest.$ac_ext
     10311cat >>conftest.$ac_ext <<_ACEOF
     10312/* end confdefs.h.  */
     10313
     10314
     10315int
     10316main ()
     10317{
     10318main ();
     10319  ;
     10320  return 0;
     10321}
     10322_ACEOF
     10323rm -f conftest.$ac_objext conftest$ac_exeext
     10324if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     10325  (eval $ac_link) 2>conftest.er1
     10326  ac_status=$?
     10327  grep -v '^ *+' conftest.er1 >conftest.err
     10328  rm -f conftest.er1
     10329  cat conftest.err >&5
     10330  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10331  (exit $ac_status); } &&
     10332         { ac_try='test -z "$ac_c_werror_flag"
     10333                         || test ! -s conftest.err'
     10334  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10335  (eval $ac_try) 2>&5
     10336  ac_status=$?
     10337  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10338  (exit $ac_status); }; } &&
     10339         { ac_try='test -s conftest$ac_exeext'
     10340  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10341  (eval $ac_try) 2>&5
     10342  ac_status=$?
     10343  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10344  (exit $ac_status); }; }; then
     10345  ac_cv_lib_m_main=yes
     10346else
     10347  echo "$as_me: failed program was:" >&5
     10348sed 's/^/| /' conftest.$ac_ext >&5
     10349
     10350ac_cv_lib_m_main=no
     10351fi
     10352rm -f conftest.err conftest.$ac_objext \
     10353      conftest$ac_exeext conftest.$ac_ext
     10354LIBS=$ac_check_lib_save_LIBS
     10355fi
     10356echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
     10357echo "${ECHO_T}$ac_cv_lib_m_main" >&6
     10358if test $ac_cv_lib_m_main = yes; then
     10359  cat >>confdefs.h <<_ACEOF
     10360#define HAVE_LIBM 1
     10361_ACEOF
     10362
     10363  LIBS="-lm $LIBS"
     10364
     10365fi
     10366
     10367
     10368
     10369# Checks for header files.
     10370echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     10371echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     10372if test "${ac_cv_header_stdc+set}" = set; then
     10373  echo $ECHO_N "(cached) $ECHO_C" >&6
     10374else
     10375  cat >conftest.$ac_ext <<_ACEOF
     10376/* confdefs.h.  */
     10377_ACEOF
     10378cat confdefs.h >>conftest.$ac_ext
     10379cat >>conftest.$ac_ext <<_ACEOF
     10380/* end confdefs.h.  */
     10381#include <stdlib.h>
     10382#include <stdarg.h>
     10383#include <string.h>
     10384#include <float.h>
     10385
     10386int
     10387main ()
     10388{
     10389
     10390  ;
     10391  return 0;
     10392}
     10393_ACEOF
     10394rm -f conftest.$ac_objext
     10395if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     10396  (eval $ac_compile) 2>conftest.er1
     10397  ac_status=$?
     10398  grep -v '^ *+' conftest.er1 >conftest.err
     10399  rm -f conftest.er1
     10400  cat conftest.err >&5
     10401  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10402  (exit $ac_status); } &&
     10403         { ac_try='test -z "$ac_c_werror_flag"
     10404                         || test ! -s conftest.err'
     10405  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10406  (eval $ac_try) 2>&5
     10407  ac_status=$?
     10408  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10409  (exit $ac_status); }; } &&
     10410         { ac_try='test -s conftest.$ac_objext'
     10411  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10412  (eval $ac_try) 2>&5
     10413  ac_status=$?
     10414  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10415  (exit $ac_status); }; }; then
     10416  ac_cv_header_stdc=yes
     10417else
     10418  echo "$as_me: failed program was:" >&5
     10419sed 's/^/| /' conftest.$ac_ext >&5
     10420
     10421ac_cv_header_stdc=no
     10422fi
     10423rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     10424
     10425if test $ac_cv_header_stdc = yes; then
     10426  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     10427  cat >conftest.$ac_ext <<_ACEOF
     10428/* confdefs.h.  */
     10429_ACEOF
     10430cat confdefs.h >>conftest.$ac_ext
     10431cat >>conftest.$ac_ext <<_ACEOF
     10432/* end confdefs.h.  */
     10433#include <string.h>
     10434
     10435_ACEOF
     10436if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     10437  $EGREP "memchr" >/dev/null 2>&1; then
     10438  :
     10439else
     10440  ac_cv_header_stdc=no
     10441fi
     10442rm -f conftest*
     10443
     10444fi
     10445
     10446if test $ac_cv_header_stdc = yes; then
     10447  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     10448  cat >conftest.$ac_ext <<_ACEOF
     10449/* confdefs.h.  */
     10450_ACEOF
     10451cat confdefs.h >>conftest.$ac_ext
     10452cat >>conftest.$ac_ext <<_ACEOF
     10453/* end confdefs.h.  */
     10454#include <stdlib.h>
     10455
     10456_ACEOF
     10457if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     10458  $EGREP "free" >/dev/null 2>&1; then
     10459  :
     10460else
     10461  ac_cv_header_stdc=no
     10462fi
     10463rm -f conftest*
     10464
     10465fi
     10466
     10467if test $ac_cv_header_stdc = yes; then
     10468  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     10469  if test "$cross_compiling" = yes; then
     10470  :
     10471else
     10472  cat >conftest.$ac_ext <<_ACEOF
     10473/* confdefs.h.  */
     10474_ACEOF
     10475cat confdefs.h >>conftest.$ac_ext
     10476cat >>conftest.$ac_ext <<_ACEOF
     10477/* end confdefs.h.  */
     10478#include <ctype.h>
     10479#if ((' ' & 0x0FF) == 0x020)
     10480# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     10481# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     10482#else
     10483# define ISLOWER(c) \
     10484                   (('a' <= (c) && (c) <= 'i') \
     10485                     || ('j' <= (c) && (c) <= 'r') \
     10486                     || ('s' <= (c) && (c) <= 'z'))
     10487# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
     10488#endif
     10489
     10490#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
     10491int
     10492main ()
     10493{
     10494  int i;
     10495  for (i = 0; i < 256; i++)
     10496    if (XOR (islower (i), ISLOWER (i))
     10497        || toupper (i) != TOUPPER (i))
     10498      exit(2);
     10499  exit (0);
     10500}
     10501_ACEOF
     10502rm -f conftest$ac_exeext
     10503if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     10504  (eval $ac_link) 2>&5
     10505  ac_status=$?
     10506  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10507  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     10508  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10509  (eval $ac_try) 2>&5
     10510  ac_status=$?
     10511  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10512  (exit $ac_status); }; }; then
     10513  :
     10514else
     10515  echo "$as_me: program exited with status $ac_status" >&5
     10516echo "$as_me: failed program was:" >&5
     10517sed 's/^/| /' conftest.$ac_ext >&5
     10518
     10519( exit $ac_status )
     10520ac_cv_header_stdc=no
     10521fi
     10522rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     10523fi
     10524fi
     10525fi
     10526echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     10527echo "${ECHO_T}$ac_cv_header_stdc" >&6
     10528if test $ac_cv_header_stdc = yes; then
     10529
     10530cat >>confdefs.h <<\_ACEOF
     10531#define STDC_HEADERS 1
     10532_ACEOF
     10533
     10534fi
     10535
     10536
     10537
     10538for ac_header in stdlib.h string.h
     10539do
     10540as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     10541if eval "test \"\${$as_ac_Header+set}\" = set"; then
     10542  echo "$as_me:$LINENO: checking for $ac_header" >&5
     10543echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     10544if eval "test \"\${$as_ac_Header+set}\" = set"; then
     10545  echo $ECHO_N "(cached) $ECHO_C" >&6
     10546fi
     10547echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     10548echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     10549else
     10550  # Is the header compilable?
     10551echo "$as_me:$LINENO: checking $ac_header usability" >&5
     10552echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     10553cat >conftest.$ac_ext <<_ACEOF
     10554/* confdefs.h.  */
     10555_ACEOF
     10556cat confdefs.h >>conftest.$ac_ext
     10557cat >>conftest.$ac_ext <<_ACEOF
     10558/* end confdefs.h.  */
     10559$ac_includes_default
     10560#include <$ac_header>
     10561_ACEOF
     10562rm -f conftest.$ac_objext
     10563if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     10564  (eval $ac_compile) 2>conftest.er1
     10565  ac_status=$?
     10566  grep -v '^ *+' conftest.er1 >conftest.err
     10567  rm -f conftest.er1
     10568  cat conftest.err >&5
     10569  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10570  (exit $ac_status); } &&
     10571         { ac_try='test -z "$ac_c_werror_flag"
     10572                         || test ! -s conftest.err'
     10573  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10574  (eval $ac_try) 2>&5
     10575  ac_status=$?
     10576  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10577  (exit $ac_status); }; } &&
     10578         { ac_try='test -s conftest.$ac_objext'
     10579  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10580  (eval $ac_try) 2>&5
     10581  ac_status=$?
     10582  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10583  (exit $ac_status); }; }; then
     10584  ac_header_compiler=yes
     10585else
     10586  echo "$as_me: failed program was:" >&5
     10587sed 's/^/| /' conftest.$ac_ext >&5
     10588
     10589ac_header_compiler=no
     10590fi
     10591rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     10592echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     10593echo "${ECHO_T}$ac_header_compiler" >&6
     10594
     10595# Is the header present?
     10596echo "$as_me:$LINENO: checking $ac_header presence" >&5
     10597echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     10598cat >conftest.$ac_ext <<_ACEOF
     10599/* confdefs.h.  */
     10600_ACEOF
     10601cat confdefs.h >>conftest.$ac_ext
     10602cat >>conftest.$ac_ext <<_ACEOF
     10603/* end confdefs.h.  */
     10604#include <$ac_header>
     10605_ACEOF
     10606if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     10607  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     10608  ac_status=$?
     10609  grep -v '^ *+' conftest.er1 >conftest.err
     10610  rm -f conftest.er1
     10611  cat conftest.err >&5
     10612  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10613  (exit $ac_status); } >/dev/null; then
     10614  if test -s conftest.err; then
     10615    ac_cpp_err=$ac_c_preproc_warn_flag
     10616    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     10617  else
     10618    ac_cpp_err=
     10619  fi
     10620else
     10621  ac_cpp_err=yes
     10622fi
     10623if test -z "$ac_cpp_err"; then
     10624  ac_header_preproc=yes
     10625else
     10626  echo "$as_me: failed program was:" >&5
     10627sed 's/^/| /' conftest.$ac_ext >&5
     10628
     10629  ac_header_preproc=no
     10630fi
     10631rm -f conftest.err conftest.$ac_ext
     10632echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     10633echo "${ECHO_T}$ac_header_preproc" >&6
     10634
     10635# So?  What about this header?
     10636case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     10637  yes:no: )
     10638    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     10639echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     10640    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     10641echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     10642    ac_header_preproc=yes
     10643    ;;
     10644  no:yes:* )
     10645    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     10646echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     10647    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     10648echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     10649    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     10650echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     10651    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     10652echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     10653    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     10654echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     10655    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     10656echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     10657    (
     10658      cat <<\_ASBOX
     10659## ---------------------------------------------- ##
     10660## Report this to orxonox-dev at mail.datacore.ch ##
     10661## ---------------------------------------------- ##
     10662_ASBOX
     10663    ) |
     10664      sed "s/^/$as_me: WARNING:     /" >&2
     10665    ;;
     10666esac
     10667echo "$as_me:$LINENO: checking for $ac_header" >&5
     10668echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     10669if eval "test \"\${$as_ac_Header+set}\" = set"; then
     10670  echo $ECHO_N "(cached) $ECHO_C" >&6
     10671else
     10672  eval "$as_ac_Header=\$ac_header_preproc"
     10673fi
     10674echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     10675echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     10676
     10677fi
     10678if test `eval echo '${'$as_ac_Header'}'` = yes; then
     10679  cat >>confdefs.h <<_ACEOF
     10680#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     10681_ACEOF
     10682
     10683fi
     10684
     10685done
     10686
     10687
     10688# Checks for typedefs, structures, and compiler characteristics.
     10689echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
     10690echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
     10691if test "${ac_cv_header_stdbool_h+set}" = set; then
     10692  echo $ECHO_N "(cached) $ECHO_C" >&6
     10693else
     10694  cat >conftest.$ac_ext <<_ACEOF
     10695/* confdefs.h.  */
     10696_ACEOF
     10697cat confdefs.h >>conftest.$ac_ext
     10698cat >>conftest.$ac_ext <<_ACEOF
     10699/* end confdefs.h.  */
     10700
     10701#include <stdbool.h>
     10702#ifndef bool
     10703# error bool is not defined
     10704#endif
     10705#ifndef false
     10706# error false is not defined
     10707#endif
     10708#if false
     10709# error false is not 0
     10710#endif
     10711#ifndef true
     10712# error true is not defined
     10713#endif
     10714#if true != 1
     10715# error true is not 1
     10716#endif
     10717#ifndef __bool_true_false_are_defined
     10718# error __bool_true_false_are_defined is not defined
     10719#endif
     10720
     10721        struct s { _Bool s: 1; _Bool t; } s;
     10722
     10723        char a[true == 1 ? 1 : -1];
     10724        char b[false == 0 ? 1 : -1];
     10725        char c[__bool_true_false_are_defined == 1 ? 1 : -1];
     10726        char d[(bool) -0.5 == true ? 1 : -1];
     10727        bool e = &s;
     10728        char f[(_Bool) -0.0 == false ? 1 : -1];
     10729        char g[true];
     10730        char h[sizeof (_Bool)];
     10731        char i[sizeof s.t];
     10732
     10733int
     10734main ()
     10735{
     10736 return !a + !b + !c + !d + !e + !f + !g + !h + !i;
     10737  ;
     10738  return 0;
     10739}
     10740_ACEOF
     10741rm -f conftest.$ac_objext
     10742if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     10743  (eval $ac_compile) 2>conftest.er1
     10744  ac_status=$?
     10745  grep -v '^ *+' conftest.er1 >conftest.err
     10746  rm -f conftest.er1
     10747  cat conftest.err >&5
     10748  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10749  (exit $ac_status); } &&
     10750         { ac_try='test -z "$ac_c_werror_flag"
     10751                         || test ! -s conftest.err'
     10752  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10753  (eval $ac_try) 2>&5
     10754  ac_status=$?
     10755  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10756  (exit $ac_status); }; } &&
     10757         { ac_try='test -s conftest.$ac_objext'
     10758  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10759  (eval $ac_try) 2>&5
     10760  ac_status=$?
     10761  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10762  (exit $ac_status); }; }; then
     10763  ac_cv_header_stdbool_h=yes
     10764else
     10765  echo "$as_me: failed program was:" >&5
     10766sed 's/^/| /' conftest.$ac_ext >&5
     10767
     10768ac_cv_header_stdbool_h=no
     10769fi
     10770rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     10771fi
     10772echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     10773echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
     10774echo "$as_me:$LINENO: checking for _Bool" >&5
     10775echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
     10776if test "${ac_cv_type__Bool+set}" = set; then
     10777  echo $ECHO_N "(cached) $ECHO_C" >&6
     10778else
     10779  cat >conftest.$ac_ext <<_ACEOF
     10780/* confdefs.h.  */
     10781_ACEOF
     10782cat confdefs.h >>conftest.$ac_ext
     10783cat >>conftest.$ac_ext <<_ACEOF
     10784/* end confdefs.h.  */
     10785$ac_includes_default
     10786int
     10787main ()
     10788{
     10789if ((_Bool *) 0)
     10790  return 0;
     10791if (sizeof (_Bool))
     10792  return 0;
     10793  ;
     10794  return 0;
     10795}
     10796_ACEOF
     10797rm -f conftest.$ac_objext
     10798if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     10799  (eval $ac_compile) 2>conftest.er1
     10800  ac_status=$?
     10801  grep -v '^ *+' conftest.er1 >conftest.err
     10802  rm -f conftest.er1
     10803  cat conftest.err >&5
     10804  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10805  (exit $ac_status); } &&
     10806         { ac_try='test -z "$ac_c_werror_flag"
     10807                         || test ! -s conftest.err'
     10808  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10809  (eval $ac_try) 2>&5
     10810  ac_status=$?
     10811  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10812  (exit $ac_status); }; } &&
     10813         { ac_try='test -s conftest.$ac_objext'
     10814  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10815  (eval $ac_try) 2>&5
     10816  ac_status=$?
     10817  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10818  (exit $ac_status); }; }; then
     10819  ac_cv_type__Bool=yes
     10820else
     10821  echo "$as_me: failed program was:" >&5
     10822sed 's/^/| /' conftest.$ac_ext >&5
     10823
     10824ac_cv_type__Bool=no
     10825fi
     10826rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     10827fi
     10828echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
     10829echo "${ECHO_T}$ac_cv_type__Bool" >&6
     10830if test $ac_cv_type__Bool = yes; then
     10831
     10832cat >>confdefs.h <<_ACEOF
     10833#define HAVE__BOOL 1
     10834_ACEOF
     10835
     10836
     10837fi
     10838
     10839if test $ac_cv_header_stdbool_h = yes; then
     10840
     10841cat >>confdefs.h <<\_ACEOF
     10842#define HAVE_STDBOOL_H 1
     10843_ACEOF
     10844
     10845fi
     10846
     10847
     10848# Checks for library functions.
     10849
     10850for ac_header in stdlib.h
     10851do
     10852as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     10853if eval "test \"\${$as_ac_Header+set}\" = set"; then
     10854  echo "$as_me:$LINENO: checking for $ac_header" >&5
     10855echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     10856if eval "test \"\${$as_ac_Header+set}\" = set"; then
     10857  echo $ECHO_N "(cached) $ECHO_C" >&6
     10858fi
     10859echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     10860echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     10861else
     10862  # Is the header compilable?
     10863echo "$as_me:$LINENO: checking $ac_header usability" >&5
     10864echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     10865cat >conftest.$ac_ext <<_ACEOF
     10866/* confdefs.h.  */
     10867_ACEOF
     10868cat confdefs.h >>conftest.$ac_ext
     10869cat >>conftest.$ac_ext <<_ACEOF
     10870/* end confdefs.h.  */
     10871$ac_includes_default
     10872#include <$ac_header>
     10873_ACEOF
     10874rm -f conftest.$ac_objext
     10875if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     10876  (eval $ac_compile) 2>conftest.er1
     10877  ac_status=$?
     10878  grep -v '^ *+' conftest.er1 >conftest.err
     10879  rm -f conftest.er1
     10880  cat conftest.err >&5
     10881  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10882  (exit $ac_status); } &&
     10883         { ac_try='test -z "$ac_c_werror_flag"
     10884                         || test ! -s conftest.err'
     10885  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10886  (eval $ac_try) 2>&5
     10887  ac_status=$?
     10888  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10889  (exit $ac_status); }; } &&
     10890         { ac_try='test -s conftest.$ac_objext'
     10891  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     10892  (eval $ac_try) 2>&5
     10893  ac_status=$?
     10894  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10895  (exit $ac_status); }; }; then
     10896  ac_header_compiler=yes
     10897else
     10898  echo "$as_me: failed program was:" >&5
     10899sed 's/^/| /' conftest.$ac_ext >&5
     10900
     10901ac_header_compiler=no
     10902fi
     10903rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     10904echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     10905echo "${ECHO_T}$ac_header_compiler" >&6
     10906
     10907# Is the header present?
     10908echo "$as_me:$LINENO: checking $ac_header presence" >&5
     10909echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     10910cat >conftest.$ac_ext <<_ACEOF
     10911/* confdefs.h.  */
     10912_ACEOF
     10913cat confdefs.h >>conftest.$ac_ext
     10914cat >>conftest.$ac_ext <<_ACEOF
     10915/* end confdefs.h.  */
     10916#include <$ac_header>
     10917_ACEOF
     10918if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     10919  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     10920  ac_status=$?
     10921  grep -v '^ *+' conftest.er1 >conftest.err
     10922  rm -f conftest.er1
     10923  cat conftest.err >&5
     10924  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     10925  (exit $ac_status); } >/dev/null; then
     10926  if test -s conftest.err; then
     10927    ac_cpp_err=$ac_c_preproc_warn_flag
     10928    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     10929  else
     10930    ac_cpp_err=
     10931  fi
     10932else
     10933  ac_cpp_err=yes
     10934fi
     10935if test -z "$ac_cpp_err"; then
     10936  ac_header_preproc=yes
     10937else
     10938  echo "$as_me: failed program was:" >&5
     10939sed 's/^/| /' conftest.$ac_ext >&5
     10940
     10941  ac_header_preproc=no
     10942fi
     10943rm -f conftest.err conftest.$ac_ext
     10944echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     10945echo "${ECHO_T}$ac_header_preproc" >&6
     10946
     10947# So?  What about this header?
     10948case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     10949  yes:no: )
     10950    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     10951echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     10952    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     10953echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     10954    ac_header_preproc=yes
     10955    ;;
     10956  no:yes:* )
     10957    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     10958echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     10959    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     10960echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     10961    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     10962echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     10963    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     10964echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     10965    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     10966echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     10967    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     10968echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     10969    (
     10970      cat <<\_ASBOX
     10971## ---------------------------------------------- ##
     10972## Report this to orxonox-dev at mail.datacore.ch ##
     10973## ---------------------------------------------- ##
     10974_ASBOX
     10975    ) |
     10976      sed "s/^/$as_me: WARNING:     /" >&2
     10977    ;;
     10978esac
     10979echo "$as_me:$LINENO: checking for $ac_header" >&5
     10980echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     10981if eval "test \"\${$as_ac_Header+set}\" = set"; then
     10982  echo $ECHO_N "(cached) $ECHO_C" >&6
     10983else
     10984  eval "$as_ac_Header=\$ac_header_preproc"
     10985fi
     10986echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     10987echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     10988
     10989fi
     10990if test `eval echo '${'$as_ac_Header'}'` = yes; then
     10991  cat >>confdefs.h <<_ACEOF
     10992#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     10993_ACEOF
    1061310994
    1061410995fi
     
    1080411185## OUTPUT CONFIGURE ##
    1080511186######################
    10806                                                                                                                                                                                                                             ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/graphics/spatial_separation/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/shell/Makefile src/lib/gui/Makefile src/lib/gui/gtk_gui/Makefile src/lib/gui/gl_gui/Makefile src/lib/tinyxml/Makefile src/util/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile"
     11187                                                                                                                                                                                                                                      ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/graphics/spatial_separation/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/shell/Makefile src/lib/gui/Makefile src/lib/gui/gtk_gui/Makefile src/lib/gui/gl_gui/Makefile src/lib/tinyxml/Makefile src/util/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile src/subprojects/network/Makefile"
    1080711188
    1080811189
     
    1142011801  "src/subprojects/particles/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/particles/Makefile" ;;
    1142111802  "src/subprojects/collision_detection/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/collision_detection/Makefile" ;;
     11803  "src/subprojects/network/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/network/Makefile" ;;
    1142211804  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    1142311805  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
Note: See TracChangeset for help on using the changeset viewer.